org.apache.uima.aae.client

## Class UimaAsBaseCallbackListener

- java.lang.Object
- - org.apache.uima.aae.client.UimaAsBaseCallbackListener

- All Implemented Interfaces:
    UimaASStatusCallbackListener

      public abstract class UimaAsBaseCallbackListener
      extends Object
      implements UimaASStatusCallbackListener

  This is an abstract listener class that provides empty implementation. The user listener code extends this class to provide concrete implementations for the notification APIs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UimaAsBaseCallbackListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectionProcessComplete(EntityProcessStatus aStatus)` The callback used to inform the application that the CPC request has completed.
    `void` | `entityProcessComplete(CAS aCas, EntityProcessStatus aStatus)` Called when the processing of each entity has completed.
    `void` | `initializationComplete(EntityProcessStatus aStatus)` The callback used to inform the application that the initialization request has completed.
    `void` | `onBeforeMessageSend(UimaASProcessStatus status)` Called by Uima AS client API just before the CAS is send to the service.
    `void` | `onBeforeProcessCAS(UimaASProcessStatus status, String nodeIP, String pid)` Called by Uima AS client API before CAS processing begins at the remote UIMA AS service
    `void` | `onBeforeProcessMeta(String nodeIP, String pid)` Called by Uima AS client API before GetMeta processing begins at the remote UIMA AS service
    `void` | `onUimaAsServiceExit(org.apache.uima.aae.UimaASApplicationEvent.EventTrigger cause)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UimaAsBaseCallbackListener

          public UimaAsBaseCallbackListener()

  - ### Method Detail

    - #### onBeforeMessageSend

          public void onBeforeMessageSend(UimaASProcessStatus status)

      Called by Uima AS client API just before the CAS is send to the service.
      Parameters:
        `status` - status object containing id of the CAS being send.

    - #### onBeforeProcessCAS

          public void onBeforeProcessCAS(UimaASProcessStatus status,
                                         String nodeIP,
                                         String pid)

      Called by Uima AS client API before CAS processing begins at the remote UIMA AS service
      Parameters:
        `status` - uima as status object
        `nodeIP` - node ip
        `pid` - process id

    - #### onBeforeProcessMeta

          public void onBeforeProcessMeta(String nodeIP,
                                          String pid)

      Called by Uima AS client API before GetMeta processing begins at the remote UIMA AS service
      Parameters:
        `nodeIP` - Node IP where GetMeta request is handled
        `pid` - Remote Service PID where GetMeta request is handled. The has the following syntax: PID:THREADID

    - #### onUimaAsServiceExit

          public void onUimaAsServiceExit(org.apache.uima.aae.UimaASApplicationEvent.EventTrigger cause)

    - #### initializationComplete

          public void initializationComplete(EntityProcessStatus aStatus)

      The callback used to inform the application that the initialization request has completed. On success aStatus will be null; on failure use the EntityProcessStatus class to get the details.
      Specified by:
        `initializationComplete` in interface `UimaASStatusCallbackListener`
      Parameters:
        `aStatus` - the status of the processing. This object contains a record of any Exception that occurred, as well as timing information.

    - #### entityProcessComplete

          public void entityProcessComplete(CAS aCas,
                                            EntityProcessStatus aStatus)

      Called when the processing of each entity has completed.
      Specified by:
        `entityProcessComplete` in interface `UimaASStatusCallbackListener`
      Parameters:
        `aCas` - the CAS containing the processed entity and the analysis results
        `aStatus` - the status of the processing. This object contains a record of any Exception that occurred, as well as timing information.

    - #### collectionProcessComplete

          public void collectionProcessComplete(EntityProcessStatus aStatus)

      The callback used to inform the application that the CPC request has completed. On success aStatus will be null; on failure use the EntityProcessStatus class to get the details.
      Specified by:
        `collectionProcessComplete` in interface `UimaASStatusCallbackListener`
      Parameters:
        `aStatus` - the status of the processing. This object contains a record of any Exception that occurred, as well as timing information.

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.